CVE-2019-8905

Published: 18 February 2019

do_core_note in readelf.c in libmagic.a in file 5.35 has a stack-based buffer over-read, related to file_printable, a different vulnerability than CVE-2018-10360.

Priority

Low

CVSS 3 base score: 8.8

Status

Package Release Status
file
Launchpad, Ubuntu, Debian
Upstream
Released (1:5.35-3)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (1:5.32-2ubuntu0.2)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (1:5.25-2ubuntu1.2)
Ubuntu 14.04 ESM (Trusty Tahr) Not vulnerable
(code not present)
Patches:
Upstream: https://github.com/file/file/commit/d65781527c8134a1202b2649695d48d5701ac60b